Subject: RE: [midcom] SNMP In The Evaluation

From: "Tom-PT Taylor" <[email-masked]>
Date: Thu, 30 May 2002 09:55:10 -0400

This is a matter of consistent treatment of the protocols in the evaluation.
For DIAMETER, for instance, the necessary data types have probably all been
defined in Base, but it will be necessary to define the messages containing
them.  I think you are saying that in the SNMP case you can point to
specific object types you can import but it will be necessary to define a
new module to provide a context for them.  These may not be at the same
level of activity, but I think they are sufficiently analogous that both
protocols should be classified in the same way.

-----Original Message-----
From: Juergen Quittek [mailto:[email-masked]]
Sent: Thursday, May 30, 2002 8:51 AM
To: Taylor, Tom-PT [CAR:B602:EXCH]; [email-masked]'
Subject: Re: [midcom] SNMP In The Evaluation

Tom,

--On 29 May 2002 09:15 -0400 Tom-PT Taylor wrote:
>
> SNMP fit to requirements is overstated relative to the other
> protocols.  For consistency, every requirement which refers to
> "an appropriate definition of a Midcom MIB module" should be
> rated as "partially met".

I agree, that the statements are to general. Would you be fine
if I provide more concrete arguments, why these requirements
are clearly met. This is much more appropriate than moving to
partially met.

Take for example "2.2.2 Support of multiple Middlebox types".
SNMP has several means to do so, starting from the standard
sysObjectID indicating the 'kind of box' to managed objects
defining the type in more general terms, e.g. NAT, NAT-PT, NAPT,
packet filter, ...
Also box type specific support by specific managed objects
is something which SNMP/SMI was built for. It definitely
meets these requirement fully, not partially.

    Juergen
-- 
Juergen Quittek     [email-masked]     Tel: +49 6221 90511-15
NEC Europe Ltd.,    Network Laboratories     Fax: +49 6221 90511-55
Adenauerplatz 6, 69115 Heidelberg, Germany   http://www.ccrle.nec.de
>
> Tom Taylor
> [email-masked]
> Ph. +1 613 736 0961 (ESN 396 1490)
>

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom